package com.chinamobile.cmccwifi.manager;  
import com.chinamobile.cmccwifi.manager.CMCCStateForAidl;
import com.chinamobile.cmccwifi.manager.IServiceOnLineCheckListener;
import com.chinamobile.cmccwifi.manager.PerferceConfiger;
import com.chinamobile.cmccwifi.manager.IPerferceOrgUpdateListener;
import com.chinamobile.cmccwifi.manager.IPerLoginListener;
import com.chinamobile.cmccwifi.manager.IGetCMCCStateFromFrontGround;
import com.chinamobile.cmccwifi.manager.FreeBizModule;
import com.chinamobile.cmccwifi.manager.ILoginCallbackOnServiceListener;
import com.chinamobile.cmccwifi.manager.IGeekUpdateWifiListListener;
import com.chinamobile.cmccwifi.manager.IGeekOnlineCallback;

interface ICMCCService {      
 
    void turnDataToBackgroud(in CMCCStateForAidl cmccState, in int isTurnToBackgroup);
    
    CMCCStateForAidl turnToFrontgroud();
    
    void heartBeat(in CMCCStateForAidl cmccState);
      
    void startPushMsgCheck();
    
     void startPerlogin();
    
    void updatePerferce(in Bundle bundle);
    
    PerferceConfiger getInitPerferceConfiger();
    
    void registerOnlineCheckListener(in IServiceOnLineCheckListener listener);
    
    void  unregisterOnlineCheckListener(in IServiceOnLineCheckListener listener);
    
    void registerPerferceUpdateAndPerLoginListener(in IPerferceOrgUpdateListener listener,in IPerLoginListener perloginlistener,IGetCMCCStateFromFrontGround getCMCCStateFromFrontGround);
     
    void unregisterPerferceUpdateAndPerLoginListener();
    
     int  getAndWaitFreeBaidu(in int isRetry);
     void clearFreeBizState();
   
    String getAndWaitSerialNo(in String resourceId,in String mobileNo);
    
    void updateOrgStatus(in Bundle bundle);
    
    void agreement(in int welcomeversion);
    
    void registerLoginCallbackOnServiceListener(in ILoginCallbackOnServiceListener listener);
    
    void  unregisterLoginCallbackOnServiceListener();
    
    void checkWiFiSafe();


    void registerGeekUpdateWifiListListener(in IGeekUpdateWifiListListener listener);

    void geekOnline(in Bundle bundle,in IGeekOnlineCallback callback);


}
